CVE-2019-11596

NameCVE-2019-11596
DescriptionIn memcached before 1.5.14, a NULL pointer dereference was found in the "lru mode" and "lru temp_ttl" commands. This causes a denial of service when parsing crafted lru command messages in process_lru_command in memcached.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs928205

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
memcached (PTS)jessie1.4.21-1.1+deb8u2fixed
jessie (security)1.4.21-1.1+deb8u3fixed
stretch (security), stretch1.4.33-1+deb9u1fixed
buster1.5.6-1.1fixed
bullseye, sid1.5.17-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
memcachedsource(unstable)1.5.6-1.1medium928205
memcachedsourcejessie(not affected)
memcachedsourcestretch(not affected)

Notes

[stretch] - memcached <not-affected> (Vulnerable code introduced later)
[jessie] - memcached <not-affected> (Vulnerable code introduced later)
https://github.com/memcached/memcached/commit/d35334f368817a77a6bd1f33c6a5676b2c402c02
https://github.com/memcached/memcached/issues/474

Search for package or bug name: Reporting problems